/***********************************************************************************************************
 * Copyright (c)  2021 - 2022, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : uart.h
 * Description : uart driver header file
 * Author(s)   : yanhaihua
 * version     : V1.0
 * Modify date : 2021-09-23
 ***********************************************************************************************************/
#ifndef __UART_H__
#define __UART_H__

#include "config.h"

#ifdef UM3213xA_USING_UART1
void uart0_init(uint32_t bandrate);																			/* 初始化 */
void uart0_irq_init(em_enable_t enable,void((*uart_recv)()));												/* 中断使能 */
void uart0_set_baud_rate(uint32_t clk_hz, uint32_t baud_rate);
void uart0_send_byte(uint8_t byte);																			/* 发送一个字节 */
uint8_t uart0_recv_byte(void);																				/* 接收一个字节 */
#endif

#ifdef UM3213xA_USING_UART1
void uart1_init(uint32_t bandrate);																			/* 初始化 */
void uart1_irq_init(em_enable_t enable,void((*uart_recv)()));												/* 中断使能 */
void uart1_set_baud_rate(uint32_t clk_hz, uint32_t baud_rate);
void uart1_send_byte(uint8_t byte);																			/* 发送一个字节 */
uint8_t uart1_recv_byte(void);																				/* 接收一个字节 */
#endif

#endif

